Create On-Ramp Account
curl --request POST \
--url https://api.example.com/v1/ramp/recipients/{id}/onramp-accountsimport requests
url = "https://api.example.com/v1/ramp/recipients/{id}/onramp-accounts"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/v1/ramp/recipients/{id}/onramp-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Ramping — Accounts
Create On-Ramp Account
POST /v1/ramp/recipients//onramp-accounts — Create a virtual bank account for a recipient
POST
/
v1
/
ramp
/
recipients
/
{id}
/
onramp-accounts
Create On-Ramp Account
Endpoint:
POST https://api.rebelfi.io/v1/ramp/recipients/{id}/onramp-accountsPath Parameters
| Field | Type | Required | Description |
|---|---|---|---|
id | integer | Yes | Recipient ID |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
destination_wallet_id | integer | Yes | ID of the wallet to receive funds |
destination_asset | string | No | Asset to deliver (default: "USDC") |
rail | string | No | Payment rail (default: "ach" — options: ach, fedwire, swift) |
Example Request
curl -X POST "https://api.rebelfi.io/v1/ramp/recipients/1/onramp-accounts" \
-H "x-api-key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"destination_wallet_id": 42,
"destination_asset": "USDC",
"rail": "ach"
}'
const onrampAccount = await client.ramp.createRecipientOnrampAccount(1, {
destinationWalletId: 42,
destinationAsset: 'USDC'
});
Example Response
{
"id": 1,
"account_number": "12345678",
"routing_number": "987654321",
"bank_name": "Lead Bank",
"capabilities": ["ach"],
"status": "active",
"destination_asset": "USDC",
"network_id": "solana-mainnet",
"destination_wallet": {
"id": 42,
"name": "Main Wallet",
"address": "7xKX...abc",
"network": "solana-mainnet"
}
}
Response Fields
| Field | Type | Description |
|---|---|---|
id | number | On-ramp account identifier |
account_number | string | Virtual bank account number |
routing_number | string | Bank routing number |
bank_name | string | Name of the issuing bank |
capabilities | string[] | Supported payment rails |
status | string | Account status (active) |
destination_asset | string | Asset to be delivered |
network_id | string | Blockchain network identifier |
destination_wallet | object | Destination wallet details |
destination_wallet.id | number | Wallet ID |
destination_wallet.name | string | Wallet name |
destination_wallet.address | string | Wallet address |
destination_wallet.network | string | Wallet network |